id: shopify-token

info:
  name: Shopify Tokens
  author: 302Found
  severity: high

file:
  - extensions:
      - all

    extractors:
      - type: regex
        regex:
          - "shpca_[a-fA-F0-9]{32}"
          - "shppa_[a-fA-F0-9]{32}"
          - "shpss_[a-fA-F0-9]{32}"
          - "shpat_[a-fA-F0-9]{32}"